#!/usr/bin/python
#
# rhnDefines.py - Constants used throughout the RHN Proxy.
#-----------------------------------------------------------------------------
# $Id: rhnConstants.py,v 1.4 2006/04/03 15:58:17 pvetere Exp $
#
# Copyright (c) 2005 Red Hat, Inc.  Distributed under GPL.
#

"""Constants used by the RHN Proxy"""

# HTTP Headers

HEADER_ACTUAL_URI      = 'X-RHN-ActualURI'
HEADER_EFFECTIVE_URI   = 'X-RHN-EffectiveURI'
HEADER_CHECKSUM        = 'X-RHN-Checksum'
HEADER_LOCATION        = 'Location'
HEADER_CONTENT_LENGTH  = 'Content-Length'
HEADER_RHN_REDIRECT    = 'X-RHN-Redirect'
HEADER_RHN_ORIG_LOC    = 'X-RHN-OriginalLocation'

# HTTP Schemes

SCHEME_HTTP            = 'http'
SCHEME_HTTPS           = 'https'

# These help us match URIs when kickstarting through a Proxy.

URI_PREFIX_KS          = '/ty/'
URI_PREFIX_KS_CHECKSUM = '/ty-cksm/'

# Component Constants

COMPONENT_BROKER       = 'proxy.broker'
COMPONENT_REDIRECT     = 'proxy.redirect'

